Summary:	Does copy data from one file or block device to another
Name:		dd_rescue
Version:	1.99.8
Release:	%mkrel 3
License:	GPLv2
Group:		System/Kernel and hardware
URL:		http://www.garloff.de/kurt/linux/ddrescue/
Source0:	http://www.garloff.de/kurt/linux/ddrescue/%{name}-%{version}.tar.bz2

%description
Like dd, dd_rescue does copy data from one file or block device to another.
You can specify file positions (called seek and Skip in dd). There are several
differences:
  o dd_rescue does not provide character conversions.
  o The command syntax is different. Call dd_rescue -h.
  o dd_rescue does not abort on errors on the input file, unless you specify a
    maximum error number. Then dd_rescue will abort when this number is reached
  o dd_rescue does not truncate the output file, unless asked to.
  o You can tell dd_rescue to start from the end of a file and move bcakwards.
  o It uses two block sizes, a large (soft) block size and a small (hard) block
    size. In case of errors, the size falls back to the small one and is
    promoted again after a while without errors.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install INSTASROOT="" INSTALLFLAGS=""

%files
%doc README.%{name}
%{_bindir}/%{name}
%{_libdir}/libddr_*.so
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/ddr_lzo.1*
%{_mandir}/man1/ddr_crypt.1*


%changelog
* Thu Feb 13 2020 umeabot <umeabot> 1.99.8-3.mga8
+ Revision: 1511823
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.99.8-2.mga7
+ Revision: 1297420
- Mageia 7 Mass Rebuild

* Fri May 18 2018 daviddavid <daviddavid> 1.99.8-1.mga7
+ Revision: 1230296
- new version: 1.99.8

* Thu Sep 28 2017 cjw <cjw> 1.99.6-1.mga7
+ Revision: 1160966
- 1.99.6

* Thu Feb 11 2016 umeabot <umeabot> 1.46-7.mga6
+ Revision: 953701
- Mageia 6 Mass Rebuild

* Wed Sep 16 2015 tv <tv> 1.46-6.mga6
+ Revision: 879834
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 1.46-5.mga6
+ Revision: 875169
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 1.46-4.mga5
+ Revision: 739512
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.46-3.mga5
+ Revision: 693736
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.46-2.mga5
+ Revision: 678696
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 colin <colin> 1.46-1.mga5
+ Revision: 669609
- New version: 1.46

* Mon Oct 21 2013 umeabot <umeabot> 1.40-2.mga4
+ Revision: 538629
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 dams <dams> 1.40-1.mga4
+ Revision: 490043
- new version 1.40

* Tue May 28 2013 dams <dams> 1.33-1.mga4
+ Revision: 429040
- new version 1.33

* Fri Jan 11 2013 umeabot <umeabot> 1.23-2.mga3
+ Revision: 348704
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 09 2011 colin <colin> 1.23-1.mga2
+ Revision: 121074
- imported package dd_rescue


* Sat Jul 9 2011 Colin Guthrie <colin@mageia.org> 1.23-1.mga2
- update to new version 1.23

* Thu Aug 26 2010 Funda Wang <fwang@mandriva.org> 1.20-1mdv2011.0
+ Revision: 573402
- update to new version 1.20

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 1.18-1mdv2011.0
+ Revision: 571577
- update to new version 1.18

* Thu Sep 03 2009 Thierry Vignaud <tv@mandriva.org> 1.14-3mdv2010.0
+ Revision: 427956
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1.14-2mdv2009.0
+ Revision: 266557
- rebuild early 2009.0 package (before pixel changes)

* Mon May 05 2008 Colin Guthrie <cguthrie@mandriva.org> 1.14-1mdv2009.0
+ Revision: 201512
- Update to 1.14

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.12-3mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 1.12-3mdv2008.0
+ Revision: 69964
- fix build
- kill unused info-install require
- kill file require on info-install

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/08/06 00:32:21 (54347)
- 1.12

* Tue Aug 08 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/08/06 00:30:44 (54346)
Import dd_rescue

* Sun Oct 16 2005 Olivier Thauvin <nanardon@mandriva.org> 1.11-1mdk
- Initial spec file based on ddrescue

* Thu Oct 13 2005 Lenny Cartier <lenny@mandriva.com> 1.1-1mdk
- 1.1

* Sat Oct 01 2005 Olivier Thauvin <nanardon@mandriva.org> 1.0-2mdk
- from club, introduce in contrib
- clean + mdv policy

* Fri Jun 03 2005 Jose Ramon Villa <capi_x@capix.sytes.net> - 1.0-1mdk
- Created specfile for Mandriva
